CREATE TABLE cso_sch_config_rev (
    APP                    VARCHAR2(32)      NOT NULL,
    CREATED_BY_ID          VARCHAR2(128) ,
    DATE_ADDED             TIMESTAMP(6)      NOT NULL,
    DATE_MODIFIED          TIMESTAMP(6)      NOT NULL,
    CREATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)     NOT NULL,
    PUBLISH_DATE           TIMESTAMP(6)  ,
    RECORD_ID              VARCHAR2(128) ,
    REVISION               NUMBER        ,
    SEED_DATA_SOURCE       VARCHAR2(2048),
    CREATED_BY_PARTY_ID    NUMBER(18, 0) ,
    ORA_SEED_SET1          VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2          VARCHAR2(4)       NOT NULL,
    APP                    VARCHAR2(32)      NOT NULL,
    CREATED_BY_ID          VARCHAR2(128) ,
    DATE_ADDED             TIMESTAMP(6)      NOT NULL,
    DATE_MODIFIED          TIMESTAMP(6)      NOT NULL,
    CREATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)     NOT NULL,
    PUBLISH_DATE           TIMESTAMP(6)  ,
    RECORD_ID              VARCHAR2(128) ,
    REVISION               NUMBER        ,
    SEED_DATA_SOURCE       VARCHAR2(2048),
    CREATED_BY_PARTY_ID    NUMBER(18, 0) ,
    ORA_SEED_SET1          VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2          VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_cso_sch_config_rev PRIMARY KEY (RECORD_ID, RECORD_ID)
);
